extends Spatial

var spawnPattern

export(float) var speed = 10

func _ready():
	# activate the process()-method that is called every frame
	set_process(true)
	spawnPattern = get_node("SpawnPatternLevel1")

func _process(delta):
	# if "ui_cancel" is pressed quit the game
	if Input.is_action_pressed("ui_cancel"):
		get_tree().quit()
	
	# every frame move the spawn pattern a little further so it looks like the player is moving through the tunnel
	spawnPattern.translate(Vector3(-1,0,0) * delta * speed)

